## xulrunner-1.9.1 1.9.1.7+nobinonly-1jolicloud1

=== debian/changelog ===
xulrunner-1.9.1 (1.9.1.7+nobinonly-1jolicloud1) robby; urgency=low

  * Jolicloud packaging

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Wed, 06 Jan 2010 10:29:15 +0100

xulrunner-1.9.1 (1.9.1.7+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  * New upstream release v1.9.1.7 (FIREFOX_3_5_7_RELEASE)
    - see USN-878-1

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 05 Jan 2010 23:11:47 -0600

xulrunner-1.9.1 (1.9.1.6~backout~ed60afa878e9+nobinonly-1jolicloud1) robby; urgency=low

  * Backout upstream changeset ed60afa878e9 which breaks movial.com xpcom-dbusservice

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Tue, 22 Dec 2009 18:38:19 +0100

xulrunner-1.9.1 (1.9.1.6+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  * New upstream release v1.9.1.6 (FIREFOX_3_5_6_RELEASE)
    - see USN-874-1

  * drop patches applied/superseded upstream
    - remove debian/patches/fix_ftbfs_with_cairo_fb.patch
    - update debian/patches/series
  * defer syslib stability/performance updates for sqlite and cairo to SRU
    - add debian/patches/defer_syslibs_bumps_to_sru.patch
    - add debian/patches/series

 -- Alexander Sack <asac@ubuntu.com>  Wed, 16 Dec 2009 00:04:47 +0100

xulrunner-1.9.1 (1.9.1.5+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  * New upstream release v1.9.1.5 (FIREFOX_3_5_5_RELEASE)
    - fixes regressions and crashers only

 -- Alexander Sack <asac@ubuntu.com>  Mon, 09 Nov 2009 12:03:59 +0100

xulrunner-1.9.1 (1.9.1.4+nobinonly-0ubuntu0.9.04.3) jaunty-security; urgency=low

  * New upstream release v1.9.1.4 (FIREFOX_3_5_4_RELEASE)
    - see USN-853-1
  * rebase patches to changed upstream code base
    - update debian/patches/bzXXX_pc_honour_system_nspr_nss.patch
  * bump system sqlite requirement to >= 3.6.16
    - update debian/rules

 -- Alexander Sack <asac@ubuntu.com>  Wed, 28 Oct 2009 17:25:41 +0100

xulrunner-1.9.1 (1.9.1.3+build1+nobinonly-0ubuntu0.9.04.2) jaunty-security; urgency=low

  * security/stability update v1.9.1.3 (FIREFOX_3_5_3_BUILD1)
    - see USN-821-1
  * fix LP: #398205 - Geolocation via WLAN doesn't seem to work; enable
    wireless scanning for geolocation by adding libiw-dev to build depends
    - update debian/control
  * fix LP: #404827 - safe-browsing now working in shiretoko; add
    --enable-safe-browsing configure flag to enable this again
    - update debian/rules

 -- Alexander Sack <asac@ubuntu.com>  Thu, 10 Sep 2009 17:45:17 +0200

xulrunner-1.9.1 (1.9.1.2+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  * security/stability update v1.9.1.2 (FIREFOX_3_5_2_RELEASE)

 -- Alexander Sack <asac@ubuntu.com>  Mon, 03 Aug 2009 16:12:33 +0200

xulrunner-1.9.1 (1.9.1.1+build1+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  * security/stability update v1.9.1.1 build1 (FIREFOX_3_5_1_BUILD1)

 -- Alexander Sack <asac@ubuntu.com>  Thu, 16 Jul 2009 18:30:15 +0200

xulrunner-1.9.1 (1.9.1+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  revert changes not suitable for stable branch
  + revert moving section and priority in debian/control

  [ Fabien Tassin ]
  * New upstream release taken from tag FIREFOX_3_5_RELEASE
  * Add libxul-dev and libmozjs-dev to Conflicts of the main
    xulrunner-1.9.1 package
    - update debian/control
  * Change the id of the langpacks to 1.9.1
    - update debian/translation-support/install.rdf.in

 -- Alexander Sack <asac@ubuntu.com>  Wed, 01 Jul 2009 01:09:12 +0200

xulrunner-1.9.1 (1.9.1~rc2+nobinonly-0ubuntu1) karmic; urgency=low

  * New upstream release taken from tag FIREFOX_3_5rc2_RELEASE
  * Bump requirement for system nspr to >= 4.8 (bmo 492464), for sqlite
    to >= 3.6.10 (bmo 478297) and for cairo to >= 1.6.0 (bmo 428563)
    - update debian/rules
  * Bump Standards-Version to 3.8.1
    - update debian/control
  * Make the -dbg package strictly depend on the main package, and move it
    to the debug section, and assign its priority to extra
    - update debian/control
  * Fix crash on shutdown by leaking env between firefox and xulrunner
    - add debian/patches/bz473629_lp319480_leak_setenv_apprunner.patch
    - update debian/patches/series
  * Update diverged patches:
    - update debian/patches/bzXXX_fix_test_suite_bashisms.patch
    - update debian/patches/bzXXX_urlclassifier_prefs_in_toolkit.patch

 -- Fabien Tassin <fta@ubuntu.com>  Fri, 19 Jun 2009 18:55:00 +0200

xulrunner-1.9.1 (1.9.1~b4+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  [ Fabien Tassin ]
  * Bump requirement for system nss to >= 3.12.3 since Mozilla bug 485052 landed
    - update debian/rules
  * Update diverged patches:
    - update debian/patches/bzXXX_fix_test_suite_bashisms.patch
    - update debian/patches/bz461277_att344402_eliminate_deprecated_gtk_type_macros.patch

  [ Alexander Sack ]
  * Update diverged patches:
    - update debian/patches/bzXXX_pc_honour_system_nspr_nss.patch
  * drop patch after upstream fix landing
    - drop debian/patches/bz478871_att369648_new_pango_api.patch
    - update debian/patches/series

 -- Alexander Sack <asac@ubuntu.com>  Wed, 29 Apr 2009 14:01:47 +0200

xulrunner-1.9.1 (1.9.1~b4~hg20090330r24021+nobinonly-0ubuntu1) jaunty; urgency=low

  * New upstream snapshot, needed to match the firefox 3.1->3.5 transition (LP: #352995)
  * Update MOZCLIENT_GETDATE to make it use pushlog so it is not confused by merges with
    dates in the past
    - update debian/mozclient/xulrunner-1.9.1.conf
  * Fix FTBFS caused by API breakage in pango
    - add debian/patches/bz478871_att369648_new_pango_api.patch
    - update debian/patches/series
  * Drop files no longer in the install dir
    - update debian/xulrunner-1.9.1-testsuite.install

 -- Fabien Tassin <fta@ubuntu.com>  Mon, 30 Mar 2009 19:00:40 +0200

xulrunner-1.9.1 (1.9.1~b3+build2+nobinonly-0ubuntu1) jaunty; urgency=low
 
  * New upstream release taken from tag FIREFOX_3_1b3_BUILD2 (LP: #339181)
 
 -- Fabien Tassin <fta@ubuntu.com>  Sat, 07 Mar 2009 15:27:58 +0100


