=== debian/control ===
Source: xulrunner-1.9.1
Section: devel
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Homepage: http://developer.mozilla.org/en/docs/XULRunner
Vcs-Bzr: https://code.launchpad.net/~mozillateam/xulrunner/xulrunner-1.9.1.head
Build-Depends: cdbs, debhelper (>= 5.0.37.2), dpkg-dev (>= 1.13.19), quilt,
	autoconf2.13, autotools-dev,
	libx11-dev (>= 2:1.0), libxt-dev,
	libidl-dev,
	libgtk2.0-dev (>= 2.12), libglib2.0-dev (>= 2.12),
	libstartup-notification0-dev,
	libgnomevfs2-dev (>= 1:2.16), libgnome2-dev (>= 2.16), libgnomeui-dev (>= 2.16),
	libdbus-1-dev (>= 1.0.0), libdbus-glib-1-dev (>= 0.60),
	libhal-dev (>= 0.5.8),
	libcairo2-dev,
	libpixman-1-dev,
	libpng12-dev (>= 1.2.0),
	libjpeg62-dev (>= 6b),
	zlib1g-dev (>= 1:1.2.3), libbz2-dev, zip,
	libreadline5-dev | libreadline-dev,
	libkrb5-dev,
	libasound2-dev,
	python-dev, python-support (>= 0.3),
	binutils (>= 2.17) [mips mipsel],
	libhunspell-dev (>= 1.1.5-2),
	libnspr4-dev (>= 4.7.1~beta2), libnss3-dev (>= 3.12.0~beta3),
	libsqlite3-dev,
	mozilla-devscripts (>= 0.08~),
	libiw-dev
Standards-Version: 3.8.1

Package: xulrunner-1.9.1
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libcanberra0
Conflicts: j2re1.4, libxul-dev, libmozjs-dev
Description: XUL + XPCOM application runner
 XULRunner is a single "gecko runtime" that can be used to bootstrap
 multiple XUL + XPCOM applications that are as rich as Firefox and
 Thunderbird.
 .
 XUL is Mozilla's XML based User Interface language that lets you build
 feature-rich cross platform applications. These applications are easily
 customized with alternative text, graphics and layout so that they can be
 readily branded or localized for various markets. Web developers already
 familiar with Dynamic HTML (DHTML) will learn XUL quickly and can start
 building applications right away.
 .
 XPCOM is a cross platform component model. It has multiple language
 bindings and IDL descriptions so programmers can plug their custom
 functionality into the framework and connect it with other components.

Package: xulrunner-1.9.1-dbg
Architecture: any
Section: devel
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}, xulrunner-1.9.1 (= ${binary:Version})
Description: xulrunner-1.9.1 debug symbols
 Debug symbols for XULRunner 1.9.1.

Package: xulrunner-1.9.1-dev
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xulrunner-1.9.1 (>= ${source:Upstream-Version}), libnspr4-dev, libnss3-dev
Conflicts: libxul-dev, mozilla-dev, xulrunner-1.9-dev, xulrunner-1.9.2-dev
Description: XUL + XPCOM development files
 This package contains the development headers, idl files and static libraries
 needed to develop applications using Mozilla XUL Engine

Package: xulrunner-1.9.1-gnome-support
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xulrunner-1.9.1 (= ${binary:Version})
Description: Support for GNOME in xulrunner-1.9.1 applications
 This is an extension to xulrunner-1.9.1 that allows XUL applications to use
 protocol handlers from GnomeVFS, such as smb or sftp, and other GNOME
 integration features.

Package: xulrunner-1.9.1-testsuite
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xulrunner-1.9.1 (= ${binary:Version})
Description: Test Suite from XULRunner 1.9.1
 This package contains the Test Suite of XULRunner 1.9.1

Package: xulrunner-1.9.1-testsuite-dev
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xulrunner-1.9.1-dev (= ${binary:Version})
Conflicts: xulrunner-1.9.2-testsuite-dev
Description: Test Suite development files for XULRunner 1.9.1
 This package contains the development files for the Test Suite of XULRunner 1.9.1
